```c
// main.c
#include <stdio.h>
#include <stdlib.h>

#define MAX_MESSAGE_SIZE 30

int main(int argc, char **argv) {
  char *str = malloc(sizeof(char) * MAX_MESSAGE_SIZE);
  puts(str);
  free(str);

  return 0;
}
```
```sh
~$ gcc -o message main.c
~$ ./message 'Hello, World!'
Hello, World!
```
<br/>

### <div align="center">I'm Project_TL, A student developer 👨‍💻 working since 2015 🚀</div>

- 🔭 I’m currently working on [CUBE Connect](https://github.com/cube-connects)
- 🌱 I’m currently learning MCU(MicroController Unit) and Backend
- ❓ Ask me about anything related to Minecraft Server Bukkit
- ⚡ Fun fact:
  - C not have bool type.(If not including stdbool.h)
  - HTML is **not** programming language.
<br/>

## Github Stats  
<div align="left">
  <img src="https://github-readme-stats.vercel.app/api?username=devproje&show_icons=true&theme=dark&count_private=true&hide_border=true" align="center" />
  <img src="https://github-readme-stats.vercel.app/api/top-langs/?username=devproje&theme=dark&hide_border=true&layout=compact" align="center" />
  <br/>
</div>

## Connect with me
<a href="https://github.com/devproje">
  <img src="https://img.shields.io/badge/GitHub-181717?style=flat-square&logo=github&logoColor=white"/>
</a>
<a href="https://cube1.dev/discord">
  <img src="https://img.shields.io/badge/Discord-5865F2?style=flat-square&logo=discord&logoColor=white"/>
</a>
<a href="https://www.youtube.com/channel/UCbFF-pr6prqOLUFbwJEZ16g">
  <img src="https://img.shields.io/badge/YouTube-FF0000?style=flat-square&logo=youtube&logoColor=white">
</a>
<a href="https://twitch.tv/Project_TL">
  <img src="https://img.shields.io/badge/Twitch-9146FF?style=flat-square&logo=twitch&logoColor=white"/>
</a>
<br/>
<br/>

## Using Tools and Languages
### Tools or Frameworks
> System
<a href="https://linux.org/">
  <img src="https://img.shields.io/badge/Linux-FCC624?style=flat-square&logo=Linux&logoColor=white"/>
</a>
<a href="https://fedoraproject.org/">
  <img src="https://img.shields.io/badge/Fedora-51A2DA?style=flat-square&logo=Fedora&logoColor=white"/>
</a>

> IDE
<a href="https://www.jetbrains.com/idea">
  <img src="https://img.shields.io/badge/IntelliJ IDEA-000000?style=flat-square&logo=intellij idea&logoColor=white"/>
</a>
<a href="https://www.jetbrains.com/go">
  <img src="https://img.shields.io/badge/GoLand-000000?style=flat-square&logo=goland&logoColor=white"/>
</a>
<a href="https://code.visualstudio.com">
  <img src="https://img.shields.io/badge/Visual Studio Code-007ACC?style=flat-square&logo=Visual Studio Code&logoColor=white">
</a>

> Tool or Program
<a href="https://www.jetbrains.com/teamcity">
  <img src="https://img.shields.io/badge/TeamCity-000000?style=flat-square&logo=TeamCity&logoColor=white">
</a>
<a href="https://git-scm.com/">
  <img src="https://img.shields.io/badge/Git-F05032?style=flat-square&logo=Git&logoColor=white">
</a> 
<a href="https://www.nginx.com">
  <img src="https://img.shields.io/badge/Nginx-009639?style=flat-square&logo=Nginx&logoColor=white">
</a>
<a href="https://www.docker.com/">
  <img src="https://img.shields.io/badge/Docker-2496ED?style=flat-square&logo=Docker&logoColor=white"/>
</a>
<a href="https://www.adobe.com/products/photoshop.html">
  <img src="https://img.shields.io/badge/Photoshop-31A8FF?style=flat-square&logo=Adobe Photoshop&logoColor=white"/>
</a>
<a href="https://www.adobe.com/products/premiere.html">
  <img src="https://img.shields.io/badge/Premiere Pro-9999FF?style=flat-square&logo=Adobe Premiere Pro&logoColor=white"/>
</a>

> Framework
<a href="https://getbootstrap.com/">
  <img src="https://img.shields.io/badge/Bootstrap-7952B3?style=flat-square&logo=Bootstrap&logoColor=white"/>
</a> 
<a href="https://flutter.dev/">
  <img src="https://img.shields.io/badge/Flutter-02569B?style=flat-square&logo=Flutter&logoColor=white"/>
</a>
<a href="https://spring.io/">
  <img src="https://img.shields.io/badge/Spring-6DB33F?style=flat-square&logo=Spring&logoColor=white"/>
</a>
<a href="https://reactjs.org/">
  <img src="https://img.shields.io/badge/React-61DAFB?style=flat-square&logo=React&logoColor=white"/>
</a>
<a href="https://svelte.dev/">
  <img src="https://img.shields.io/badge/Svelte-FF3E00?style=flat-square&logo=Svelte&logoColor=white"/>
</a>

> MCU(MicroController Unit)
<a href="https://www.raspberrypi.org/">
  <img src="https://img.shields.io/badge/Raspberry Pi-A22846?style=flat-square&logo=Raspberry Pi&logoColor=white"/>
</a>
<a href="https://www.arduino.cc/">
  <img src="https://img.shields.io/badge/Arduino-00979D?style=flat-square&logo=Arduino&logoColor=white"/>
</a>

> Database
<a href="https://www.mysql.com/">
  <img src="https://img.shields.io/badge/MySQL-4479A1?style=flat-square&logo=MySQL&logoColor=white"/> 
</a>
<a href="https://mariadb.org/">
  <img src="https://img.shields.io/badge/MariaDB-003545?style=flat-square&logo=MariaDB&logoColor=white"/> 
</a>
<a href="https://www.mongodb.com/">
  <img src="https://img.shields.io/badge/MongoDB-47A248?style=flat-square&logo=MongoDB&logoColor=white"/>
</a>

### Langauges
> Scripts
<a href="https://devdocs.io/bash">
  <img src="https://img.shields.io/badge/GNU Bash-4EAA25?style=flat-square&logo=GNU Bash&logoColor=white"/>
</a>

> Frontend
<a href="https://devdocs.io/html">
  <img src="https://img.shields.io/badge/HTML5-E34F26?style=flat-square&logo=html5&logoColor=white"/>
</a>
<a href="https://devdocs.io/css">
  <img src="https://img.shields.io/badge/CSS3-1572B6?style=flat-square&logo=css3&logoColor=white"/>
</a>
<a href="https://devdocs.io/javascript">
  <img src="https://img.shields.io/badge/JavaScript-F7DF1E?style=flat-square&logo=javascript&logoColor=black"/>
</a>
<a href="https://www.php.net/docs.php">
  <img src="https://img.shields.io/badge/PHP-777BB4?style=flat-square&logo=php&logoColor=white"/>
</a>

> System or Backend
<a href="https://en.cppreference.com/w/c">
  <img src="https://img.shields.io/badge/C-A8B9CC?style=flat-square&logo=c&logoColor=white"/>
</a>
<a href="https://golang.org/doc">
  <img src="https://img.shields.io/badge/Go-00ADD8?style=flat-square&logo=go&logoColor=white"/>
</a>
<a href="https://docs.oracle.com/en/java/javase/11">
  <img src="https://img.shields.io/badge/Java-007396?style=flat-square&logo=java&logoColor=white"/>
</a>
<a href="https://kotlinlang.org/docs/home.html">
  <img src="https://img.shields.io/badge/Kotlin-7F52FF?style=flat-square&logo=kotlin&logoColor=white"/>
</a>
<a href="https://docs.scala-lang.org/">
  <img src="https://img.shields.io/badge/Scala-DC322F?style=flat-square&logo=scala&logoColor=white"/>
</a>
<a href="https://docs.python.org/3">
  <img src="https://img.shields.io/badge/Python-3776AB?style=flat-square&logo=python&logoColor=white"/>
</a>
<a href="https://www.ruby-lang.org/en/">
  <img src="https://img.shields.io/badge/Ruby-CC342D?style=flat-square&logo=ruby&logoColor=white" alt="Ruby"/>
</a>
<a href="https://nodejs.org/en/docs">
  <img src="https://img.shields.io/badge/Node.js-339933?style=flat-square&logo=Node.js&logoColor=white"/>
</a>
<a href="https://www.typescriptlang.org/docs">
  <img src="https://img.shields.io/badge/TypeScript-3178C6?style=flat-square&logo=TypeScript&logoColor=white"/>
</a>

> Application
<a href="https://dart.dev/guides">
  <img src="https://img.shields.io/badge/Dart-0175C2?style=flat-square&logo=dart&logoColor=white"/>
</a>
<a href="https://kotlinlang.org/docs/home.html">
  <img src="https://img.shields.io/badge/Kotlin-7F52FF?style=flat-square&logo=kotlin&logoColor=white"/>
</a>
<a href="https://developer.apple.com/swift">
  <img src="https://img.shields.io/badge/Swift-F05138?style=flat-square&logo=Swift&logoColor=white"/>
</a>

## HATE THINGS
<img style="margin: 10px" src="https://profilinator.rishav.dev/skills-assets/cplusplus-original.svg" alt="C++" height="50" /> 
<img style="margin: 10px" src="https://forums.skunity.com/styles/default/xenforo/logo.og.png" alt="Skript" height="50" />